$(function () {
		$(".info-libro").hide();
		$("#example1").DataTable({
			"language": {
							"lengthMenu": "Mostrar _MENU_ registros por pagina",
							"zeroRecords": "No se encontraron resultados en su busqueda",
							"searchPlaceholder": "Buscar registros",
							"info": "Mostrando registros de _START_ al _END_ de un total de  _TOTAL_ registros",
							"infoEmpty": "No existen registros",
							"infoFiltered": "(filtrado de un total de _MAX_ registros)",
							"search": "Buscar:",
							"paginate": {
									"first":    "Primero",
									"last":    "Último",
									"next":    "Siguiente",
									"previous": "Anterior"
							},
						}
		});
		$("#example2").DataTable({
			"language": {
							"lengthMenu": "Mostrar _MENU_ registros por pagina",
							"zeroRecords": "No se encontraron resultados en su busqueda",
							"searchPlaceholder": "Buscar registros",
							"info": "Mostrando registros de _START_ al _END_ de un total de  _TOTAL_ registros",
							"infoEmpty": "No existen registros",
							"infoFiltered": "(filtrado de un total de _MAX_ registros)",
							"search": "Buscar:",
							"paginate": {
									"first":    "Primero",
									"last":    "Último",
									"next":    "Siguiente",
									"previous": "Anterior"
							},
						}
		});
		$("#btn-comprobarCedula").on("click", function(){
			Cedula = $("#Cedula").val();
			if(Cedula==""){
				alertify.error("El campo Cedula esta vacio");
			}
			else if(Cedula.length != 9){
				alertify.error("El campo Cedula debe tener 9 digitos");
			}
			else{

				$.ajax({
				  	type: "POST",
				  	url: "http://localhost/sigece/backend/estudiantes/comprobarCedula",
				  	data: { Cedula: Cedula }
				}).done(function(msg) {
				    if (msg === "nf") {
				    	$("#nombre").val("");
				    	alertify.error("El estudiante no existe...haga clic boton Registrar para registrarlo");
				    }
				    else if (msg === "na") {
				    	$("#nombre").val("");
				    	alertify.error("El estudiante esta registrado...pero no esta disponible");
				    }
				    else{
				    	var result = JSON.parse(msg);
				    	$("input[name=idestudiante]").val(result.id_estudiante);
				    	$("#nombre").val(result.nombre + " " +result.apellidos);
				    }
				});
			}

		});
		/*
		$("#btn-comprobarlibro").on("click", function(){
			codigo = $("#codigo").val();
			$.ajax({
			  	method: "POST",
			  	url: "http://localhost/sigece/backend/libros/disponibilidad",
			  	data: { codigo: codigo }
			}).done(function(msg) {
			    if (!msg) {
			    	$(".info-libro").hide();
			    	alertify.error("El Libro No esta Disponible");
			    	 //alertify.notify('sample', 'success', 5, function(){  console.log('dismissed'); });
			    }
			    else{
			    	var result = JSON.parse(msg);
			    	$("#idLibro").val(result.id_libro);
			    	$("#prestados").val(result.prestados_libro);
			    	$(".titulo").text(result.titulo_libro);
			    	$(".Genero").text(result.Genero);
			    	$(".info-libro").show();
			    }
			});
		});*/
		$("a.btn-remove").on("click", function(e){
			e.preventDefault();
			url = $(this).attr("href");
			alertify.confirm("Deseas Eliminar este registro?", function(e){

				if(e){
					$.ajax({
					  	method: "POST",
					  	url: url,
					}).done(function(resp) {
					   window.location.href= "http://localhost/sigece/backend/"+resp;
					});
				}
			});

		});
		$(".btn-image").on("click", function(){
			idLibro = $(this).val();
			imagen = $(this).parent().parent().find("td:eq(6)").children("img").attr("src");
			$(".image-actual").attr("src",imagen);
			$("input[name=idLibro]").val(idLibro);
		});
		$("a#logout").on("click", function(e){
			e.preventDefault();
			url = $(this).attr("href");
			alertify.confirm("¿Estas seguro de salir del Sistema?", function(e){

				if(e){
					$.ajax({
					  	method: "POST",
					  	url: url,
					}).done(function(resp) {
					   window.location.href= "http://localhost/sigece/cpanel";
					});
				}
			});

		});
		$("#datepicker").datepicker( {
		    format: " yyyy",
		    viewMode: "years",
		    minViewMode: "years",
		    autoclose: true
	    });

	    $('#fecha').datepicker({
	    	format: 'dd/mm/yyyy',
	    	language: "es",
	    	todayBtn: true,
	      	autoclose: true,
	      	todayBtn: 'linked'
	    });

	    $("#form-prestamo").submit(function(e){
	    	e.preventDefault();
	    	if($("#nombre").val()=="")
	    	{
	    		alertify.alert("El campo estudiante esta vacio...Si ingreso una Cedula haga clic en el boton Comprobar");
	    	}
	    	else{
	    		$.ajax({
	    			url : $(this).attr("action"),
	    			type : $(this).attr("method"),
	    			data: $(this).serialize()
	    		})
	    		.done(function(resp) {

					window.location.href= "http://localhost/sigece/backend/prestamos/"+resp;
				});
	    	}

	    });
	    $(".btn-select").on("click", function(){
	    	codigo = $(this).parent().parent().find("td:eq(1)").text();
	    	idLibro = $(this).val();

	    	$("input[name=idLibro]").val(idLibro);
	    	$("#codigo").val(codigo);

	    });
	});